[KPhotoAlbum] Qt 5.5

Tobias Leupold tobias.leupold at gmx.de
Wed Oct 17 07:55:56 CEST 2018


We officially depend on Qt 5.8 now, so it's not only deprecated, but obsolete 
;-)

Am Mittwoch, 17. Oktober 2018, 02:46:45 CEST schrieb Robert Krawitz:
> That's deprecated, correct?
> 
> >From DB/ImageInfo.cpp around line 160:
> bool DB::ImageInfo::hasCategoryInfo( const QString& key, const StringSet&
> values ) const {
>     // OpenSuse leap 42.1 still ships with Qt 5.5
>     // TODO: remove this version check once we don't care about Qt 5.6
> anymore... #if (QT_VERSION >= QT_VERSION_CHECK(5, 6, 0))
>     return values.intersects( m_categoryInfomation[key] );
> #else
>     StringSet tmp = values;
>     return ! tmp.intersect( m_categoryInfomation[key] ).isEmpty();
> #endif
> }





More information about the KPhotoAlbum mailing list